> ## Documentation Index
> Fetch the complete documentation index at: https://developers.quotivity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product Price

> Retrieves the price of a specific product in a specific currency from a price book



## OpenAPI

````yaml swagger.json get /pricebooks/{priceBookId}/{productId}/{currency}
openapi: 3.0.0
info:
  title: Quotivity API
  description: Developer APIs for the Quotivity CPQ platform.
  version: 1.0.0
servers:
  - url: https://api.secure.quotivity.com/v1
    description: Production API Server
security: []
paths:
  /pricebooks/{priceBookId}/{productId}/{currency}:
    get:
      summary: Get Product Price
      description: >-
        Retrieves the price of a specific product in a specific currency from a
        price book
      parameters:
        - name: priceBookId
          in: path
          required: true
          schema:
            type: string
        - name: productId
          in: path
          required: true
          schema:
            type: string
        - name: currency
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved product price
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ProductPriceResponse'
                  - $ref: '#/components/schemas/ProductPriceResponseWrapper'
        '400':
          description: Invalid product, product not in price book, or no price defined
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ProductPriceResponse:
      type: object
      properties:
        productId:
          type: string
        currency:
          type: string
        standardPrice:
          type: number
          nullable: true
        listPrice:
          type: number
          nullable: true
        adjustmentType:
          type: string
          nullable: true
      required:
        - productId
        - currency
        - standardPrice
        - listPrice
        - adjustmentType
    ProductPriceResponseWrapper:
      type: object
      properties:
        response:
          $ref: '#/components/schemas/ProductPriceResponse'
      required:
        - response
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````